/* Global Styles */

html {
    font-size: 14px;
    position: relative;
    min-height: 100%;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

body {
    min-height: 100vh;
}

a {
    text-decoration: none;
    color: #006fba;
}

.text-primary {
    color: #006fba !important;
}

.container-fluid {
    padding: 0 25px;
}

/* Nav Bar */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

.navbar-logo {
    height: 50px;
    width: auto;
}

.nav-link {
    color: #006fba !important;
}

.nav-pills .nav-link.active {
    background-color: #fff;
    color: #495057;
    border: 1px solid #dee2e6;
}

.custom-border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

/* Menu Bar */

.menubar {
    background-color: #50b948 !important;
}

.menu-item {
    font-weight: 400;
    color: #fff !important;
}

    .menu-item:hover {
    }

    .menu-item.active {
        font-weight: 700;
    }

/* Sub Menu Bar */

.submenu-bar .nav-link {
    color: #444 !important;
    font-weight: 400;
}

    .submenu-bar .nav-link:hover {
    }

    .submenu-bar .nav-link.active {
        font-weight: 700;
        color: #006fba !important;
    }

/* Buttons */

.btn-primary,
.k-button.k-upload-button {
    border: 0;
    margin-right: 10px;
    color: #fff;
    background-color: #50b948 !important;
    border-color: #47a740 !important;
}

.btn-outline-primary {
    color: #50b948;
    border-color: #50b948;
}

    .btn-primary:hover,
    .btn-outline-primary:hover {
        background-color: #439c3c !important;
        border-color: #357b2f !important;
    }

.btn:focus, .btn:active {
    box-shadow: none !important;
    outline: 0px !important;
}

.btn-secondary {
    margin-right: 10px;
    color: #fff;
    background-color: #006fba !important;
    border-color: #006fba !important;
}

.btn-outline-secondary {
    color: #006fba;
    border-color: #006fba;
}

    .btn-outline-secondary:hover {
        background-color: #006fbaaa;
        color: white;
    }

.btn:focus,
.btn:active {
    box-shadow: none !important;
    outline: 0px !important;
}

.k-button.k-toolbar-button {
    border: unset;
    background-color: inherit;
    cursor: default;
    font-weight: 600;
    font-size: large;
}

/* Forms */

.form-floating {
    margin-bottom: 10px;
}

.form-check-input:checked {
    background-color: #50b948;
    border-color: #50b948;
}

.form-check-input:focus,
.form-check-input:active {
    box-shadow: 0 0 0 0.2rem rgba(80, 185, 72, 0.25);
    border-color: #50b948;
}

.form-control:focus,
.form-control:active,
.form-select:focus,
.form-select:active {
    box-shadow: 0 0 0 0.2rem rgba(80, 185, 72, 0.25);
    border-color: #50b948;
}

/* Filter Container */

.filter-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    flex-direction: row;
    align-items: center;
    margin: 8px 4px;
}

.filter-item {
    padding: 3px 0px;
}

/* Grids */

.grid-title,
.grid-title:hover {
    border: unset;
    background-color: inherit;
    cursor: default;
    font-weight: 600;
    font-size: large;
}

/* Login Links */

#login-submit {
    margin-bottom: 10px;
}

#manage-account,
#logout {
    font-size: small;
}

    #manage-account:hover,
    #logout:hover {
        font-weight: 600;
    }
